@echo off
setlocal
%~dp0config.bat
set REPO_NAME=%1
set REPO_UUID=%2
set DEST_TMP=".tmp-svn-%REPO_NAME%.tmp"

set REPO_LOCAL=file:///%REPO_ROOT%/svn/%REPO_NAME%

echo SVN-fs-dump-format-version: 2 > %DEST_TMP%
echo "" >> %DEST_TMP%
echo UUID: $UUID >> %DEST_TMP%

svnadmin load --force-uuid %CD%\mirrors\svn\%REPO_NAME% < %DEST_TMP%
del "%DEST_TMP%"

endlocal
